Bug 609628 - Fix shadow property use-after-free
Fix shadow property use-after-free
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dbus-glib (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Colin Walters
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 13:08 EDT by Dan Williams
Modified: 2010-11-15 08:54 EST (History)
1 user (show)

See Also:
Fixed In Version: dbus-glib-0.86-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:54:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2010-06-30 13:08:00 EDT
https://bugs.freedesktop.org/show_bug.cgi?id=28835

While we don't have anything in RHEL6 that uses shadow properties in dbus-glib, we may in the near future and the fix is very low-risk.  This shows up when using a mix of shadow properties and normal properties as either a crash in the program using dbus-glib, or it's easily seen in Valgrind as a use-after-free in lookup_property_name().
Comment 1 RHEL Product and Program Management 2010-06-30 13:23:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Colin Walters 2010-07-09 13:30:32 EDT
This is an obvious fix that is in upstream dbus-glib now:

http://cgit.freedesktop.org/dbus/dbus-glib/commit/?id=7f054d7bce4b2ea74e5268f2cf65c467773ee14f

Marking as devel_ack+
Comment 6 releng-rhel@redhat.com 2010-11-15 08:54:24 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.